/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLLegendElement_H__
#define __GdomHTMLLegendElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLLegendElement GdomHTMLLegendElement;
typedef struct _GdomHTMLLegendElementClass GdomHTMLLegendElementClass;


#define GDOM_TYPE_HTML_LEGEND_ELEMENT            (gdom_html_legend_element_get_type())
#define GDOM_HTML_LEGEND_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_LEGEND_ELEMENT, GdomHTMLLegendElement))
#define GDOM_HTML_LEGEND_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_LEGEND_ELEMENT, GdomHTMLLegendElement)Class)
#define GDOM_IS_HTML_LEGEND_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_LEGEND_ELEMENT))
#define GDOM_IS_HTML_LEGEND_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_LEGEND_ELEMENT))
#define GDOM_HTML_LEGEND_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_LEGEND_ELEMENT, GdomHTMLLegendElementClass))

typedef struct _GdomHTMLLegendElementPrivate GdomHTMLLegendElementPrivate;

struct _GdomHTMLLegendElement {
    GdomHTMLElement parent_instance;
    GdomHTMLLegendElementPrivate *priv;
};

struct _GdomHTMLLegendElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_legend_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLLegendElement_H__ */
